%define		req_libvirt_version 0.9.3
%define		pkgname	libvirt-php
%if 0%{?suse_version} 
%define		php_confdir %{_sysconfdir}/php5/conf.d
%define		php_extdir  %{_libdir}/php5/extensions
%define		pkg_name php5-libvirt
%else
%define		php_confdir %{_sysconfdir}/php.d 
%define		php_extdir  %{_libdir}/php/modules
%define		pkg_name php-libvirt
%endif

Name:		%{pkg_name}
Version:	0.4.8
Release:	4.13
Summary:	PHP language binding for Libvirt

%if 0%{?suse_version}  
Group:		Development/Libraries/PHP
%else
Group:		Development/Libraries
%endif
License:	PHP
URL:		http://libvirt.org/php
Source0:	http://libvirt.org/sources/php/libvirt-php-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libvirt-devel >= %{req_libvirt_version}
BuildRequires:	libxml2-devel
BuildRequires:	libxslt
%if 0%{?suse_version}  
BuildRequires:	xhtml-dtd
BuildRequires:	php5-devel
%else
BuildRequires:	xhtml1-dtds
BuildRequires:	php-devel
%endif
Requires:	libvirt >= %{req_libvirt_version}
%if 0%{?suse_version}  
Requires:	php5
%else
Requires:	php
%endif

%description
PHP language bindings for Libvirt API. 
For more details see: http://www.libvirt.org/php/

%package -n libvirt-php-doc
Summary:	Document of libvirt-php
Group:		Development/Libraries/PHP
Requires:	libvirt-php = %{version}

%description -n libvirt-php-doc
PHP language bindings for Libvirt API. 
For more details see: http://www.libvirt.org/php/ http://www.php.net/

This package contain the document for libvirt-php.

%prep
%setup -q -n libvirt-php-%{version}

%build
%configure
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./configure --with-html-dir=%{_datadir}/doc --with-html-subdir=%{name}-%{version}/html --libdir=%{php_extdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
chmod +x %{buildroot}%{php_extdir}/libvirt-php.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{php_extdir}/libvirt-php.so
%config(noreplace) %{php_confdir}/libvirt-php.ini

%files -n libvirt-php-doc
%defattr(-,root,root,-)
%doc
%dir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}/html

%changelog
* Tue May 13 2014 cs@linux-administrator.com
- update to release 0.4.8
* Sun Oct 28 2012 cs@linux-administrator.com
- initial package
